import QtQuick 2.0
import "JScript.js" as JS

Item {
    id: idQML
    width: 1920
    height: 1080
    rotation: 0
    property double side: 1
    property string title_front: ""
    property string title_back: ""
    property double nowProgress1: 0
    property double nowProgress2: 0
    property double nowProgress3: 0
    property string xSide: "3333333333"
    property int var1: 0
    property int var2: 0
    property int counter: 0
    property bool demoData: true
    property string severData: ""

    scale: 0.8

    SequentialAnimation{
        id: animal1
        running: false

        NumberAnimation {
            id:runrollanimation1
            target: anse1;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }

    }

    Image {
        id: image1
        x: -239
        y: -134
        width: 2399
        height: 1349
        visible: true
        scale: 1
        z: -20
        source: "back_poll_1920x1080.png"
    }

    SequentialAnimation{
        id: animal2
        running: false

        NumberAnimation {
            id:runrollanimation2
            target: anse2;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }

    }

    /*    SequentialAnimation{
        id: animal3
        running: false

        NumberAnimation {
            id:runrollanimation3
            target: anse3;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500

        }
    }
*/

    Item {
        id: item1
        width: 1000
        height: 300
        //x: -59
        //y: -671
        x: 720
        y: 200

        Image {
            id: background
            x: 0
            y: 0
            width: 1920
            height: 1080
            visible: true
            z: -1
            source: "plaha_00147.png"
        }

        Text {
            x: 8
            y: 4
            width: 582
            height: 17
            text: qsTr(strText)
            visible: false
            anchors.verticalCenterOffset: 75
            anchors.horizontalCenterOffset: 37
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            styleColor: "#ffffff"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            font.pixelSize: 30
        }

        Qwest{
            id: qwest
            //x: 316
            x: 179
            y: 726
            width: 964+137
            height: 131
            //color: "#ffffff"
            //opacity: 0.9
            //visible: true
            strText:""
        }



        Progress{
            id: anse1
            x: 316
            y: 860
            height: 22
            strText:""
            strTelefon:"8-800-200-01-92"
            pathProgress:"blue_line.png"
            colorText: "#4e83ed"
        }

        Progress{
            id: anse2
            x: 316
            y: 897
            height: 22
            strText:""
            strTelefon:"8-800-200-01-93"
            pathProgress:"red_line.png"
            colorText: "#ff2f35"
        }

        Text {
            id: lbl_freecall
            x: 1007
            y: 1749
            width: 165
            color: "#d5edff"
            text: qsTr("Звонок бесплатный")
            font.bold: true
            font.family: "Tahoma"
            style: Text.Outline
            visible: false
            font.pixelSize: 16
        }

        Image {
            id: example
            x: 0
            y: 0
            width: 1920
            height: 1080
            visible: false
            z: -2
            source: "primer 2_00147.png"
        }



        Text {
            id: lbl_otvet1
            x: 179
            y: 865
            width: 124
            height: 26
            text: qsTr("ОТВЕТ:")
            font.pixelSize: 24
            font.family: "Bicubik"
            color: "#4e83ed"
        }

        Text {
            id: lbl_otvet2
            x: 179
            y: 903
            width: 124
            height: 26
            text: qsTr("ОТВЕТ:")
            font.pixelSize: 24
            font.family: "Bicubik"
            color: "#ff2f35"
        }

    }

    Timer {
        id: timerRunning
        interval: 1000; running: false; repeat: true;
        onTriggered:
        {
            JS.main();

        }
    }


    /*

    Sponsor{
        id:iactive
        x: 59
        y: 533
        width: 598
        height: 23
    }

    SequentialAnimation{
        id: animals
        running: false
            NumberAnimation {
                id: animal
                target: iactive;
                property: "dX";
                easing.type: Easing.Linear;
                from: 0; to: 0;
                duration: 500
            }
            onRunningChanged: {
                if (iactive.dX == 0){
                    //animals.stop();
                    iactive.dText = xSide
                    animal.from = 0;
                    animal.to = -90;
                    animals.start();
                }
            }
    }
*/


    Component.onCompleted: {
        timerRunning.running = true
        JS.main();
        animals.running = true
    }
}

