import QtQuick 2.4
import "JScript.js" as JS



Item {
    id: idQML
    width: 1024
    height: 576
    property double side: 1
    property string title_front: ""
    property string title_back: ""
    property double nowProgress1: 0
    property double nowProgress2: 0
    property double nowProgress3: 0
    property string xSide: "3333333333"
    property string logoSrc: "img/channel-telegram.png"


    SequentialAnimation{
        id: animal1
        running: false

        NumberAnimation {
            id:runrollanimation1
            target: anse1;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }

    }

    SequentialAnimation{
        id: animal2
        running: false

        NumberAnimation {
            id:runrollanimation2
            target: anse2;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }

    }

    /*    SequentialAnimation{
        id: animal3
        running: false

        NumberAnimation {
            id:runrollanimation3
            target: anse3;
            property: "dW";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500

        }
    }
*/

    Timer {
        id: timerRunning
        interval: 1000; running: false; repeat: true;
        onTriggered:
        {
            JS.main();

        }
    }


    Image {
        id: image3
        x: 0
        y: 0
        width: 1024
        height: 706
        z: -1
        opacity: 1
        clip: false
        visible: true
        source: "img/ utro_v1.jpg"
    }


    SequentialAnimation{
        id: animals
        running: false
        NumberAnimation {
            id: animal
            target: iactive;
            property: "dX";
            easing.type: Easing.Linear;
            from: 0; to: 0;
            duration: 500
        }
        onRunningChanged: {
            if (iactive.dX == 0){
                //animals.stop();
                iactive.dText = xSide
                animal.from = 0;
                animal.to = -90;
                animals.start();
            }
        }
    }

    Message{
        id: message1
        x: 701
        y: 16
        width: 305
        height: 72
        visible: false
    }

    Message{
        id: message2
        x: 701
        y: 96
        width: 305
        height: 72
        visible: false
    }

    Message{
        id: message3
        x: 701
        y: 176
        width: 305
        height: 72
        visible: false
    }

    Message{
        id: message4
        x: 701
        y: 256
        width: 305
        height: 72
        visible: false
    }

    Message{
        id: message5
        x: 701
        y: 336
        width: 305
        height: 72
        visible: false
    }

    Message{
        id: message6
        x: 701
        y: 416
        width: 305
        height: 72
        visible: false
    }

    Message{
        id: message7
        x: 701
        y: 496
        width: 305
        height: 72
        visible: false
    }





    Component.onCompleted: {
        timerRunning.running = true
        JS.main();
        animals.running = true
    }
}

